--
-- File generated with SQLiteStudio v3.0.6 on Di Mrz 6 09:29:40 2018
--
-- Text encoding used: windows-1252
--
PRAGMA foreign_keys = off;

-- Table: locations
CREATE TABLE locations (id INTEGER PRIMARY KEY AUTOINCREMENT, name VARCHAR (255) NOT NULL UNIQUE);

-- Table: measurement_data
CREATE TABLE measurement_data (measurementID INTEGER REFERENCES measurements (id) ON DELETE CASCADE NOT NULL, position INTEGER NOT NULL, type INTEGER NOT NULL, value DOUBLE NOT NULL);

-- Table: vehicles
CREATE TABLE vehicles (id INTEGER PRIMARY KEY AUTOINCREMENT, name VARCHAR (255) NOT NULL UNIQUE, icon VARCHAR (255));

-- Table: measurements
CREATE TABLE measurements (id INTEGER PRIMARY KEY AUTOINCREMENT, date DATETIME, vehicleID INTEGER REFERENCES vehicles (id) ON DELETE CASCADE NOT NULL, locationID INTEGER REFERENCES locations (id) ON DELETE SET NULL);

-- Table: systems
CREATE TABLE systems (id INTEGER PRIMARY KEY AUTOINCREMENT, name VARCHAR (255) UNIQUE NOT NULL, gauge_0 CHAR (6), gauge_1 CHAR (6), gauge_2 CHAR (6), gauge_3 CHAR (6), can_interface VARCHAR (255), can_id INTEGER);

-- Table: vehicle_config
CREATE TABLE vehicle_config (vehicleID INTEGER REFERENCES vehicles (id) ON DELETE CASCADE NOT NULL, position INTEGER NOT NULL, type INTEGER NOT NULL, value DOUBLE NOT NULL);

PRAGMA foreign_keys = on;
